Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dtrexc

scipy.linalg.lapack.dtrexc(a, q, ifst, ilst[, wantq, overwrite_a, overwrite_q]) = <fortran function dtrexc>

  Wrapper for `dtrexc`.

  Parameters:
    a input rank-2 array(‘d’) with bounds (lda,n)
    q input rank-2 array(‘d’) with bounds (ldq,n)
    ifst input int
    ilst input int
  Returns:
    a rank-2 array(‘d’) with bounds (lda,n)
    q rank-2 array(‘d’) with bounds (ldq,n)
    info int
  Other Parameters:
    wantq input int, optional

      Default: 1

    overwrite_a input int, optional

      Default: 0

    overwrite_q input int, optional

      Default: 0